Get the validation file needed to configure LargeFS
GET
/installs/{install_id}/offload_settings/largefs_validation_file
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/example/offload_settings/largefs_validation_file"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/example/offload_settings/largefs_validation_file';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wpengineapi.com/v1/installs/example/offload_settings/largefs_validation_file \ --header 'Authorization: Basic <credentials>'Returns the validation filename and contents necessary to configure an S3 bucket for LargeFS
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” install_id
required
string format: uuid
ID of install
Responses
Section titled “ Responses ”LargeFS validation filename and contents
Media type application/json
object
name
string
content
string
Example
{ "name": "64f1250c.largefs", "content": "e4ccd0696cff6f94"}Authentication Error
Media type application/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "Bad Credentials"}Not authorized
Media type application/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "You don't have permission to perform that action"}Not found
Media type application/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "Not Found"}Too many requests
Media type application/json
Service unavailable
Media type application/json